QXmppBookmarkSet Class Reference

The QXmppbookmarkSets class represents a set of bookmarks, as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkSet.h>`

## Public Member Functions

QList< QXmppBookmarkConference > | conferences () const
void | setConferences (const QList< QXmppBookmarkConference > &conferences)
QList< QXmppBookmarkUrl > | urls () const
void | setUrls (const QList< QXmppBookmarkUrl > &urls)

## Detailed Description

The QXmppbookmarkSets class represents a set of bookmarks, as defined by XEP-0048: Bookmarks.

## Member Function Documentation

## conferences()

QList< QXmppBookmarkConference > QXmppBookmarkSet::conferences | ( |  | ) | const

Returns the conference rooms bookmarks in this bookmark set.

## setConferences()

void QXmppBookmarkSet::setConferences | ( | const QList< QXmppBookmarkConference > & | conferences | ) |

Sets the conference rooms bookmarks in this bookmark set.

Parameters

  conferences |

## setUrls()

void QXmppBookmarkSet::setUrls | ( | const QList< QXmppBookmarkUrl > & | urls | ) |

Sets the web page bookmarks in this bookmark set.

Parameters

  urls |

## urls()

QList< QXmppBookmarkUrl > QXmppBookmarkSet::urls | ( |  | ) | const

Returns the web page bookmarks in this bookmark set.

The documentation for this class was generated from the following files:

- QXmppBookmarkSet.h
- QXmppBookmarkSet.cpp